Home

# Class goog.tweak.TweakUi

A UI for editing tweak settings / clicking tweak actions.

Instance Method Summary
| `getRootElement() ⇒ !Element`
| `insertEntry_(!goog.tweak.BaseEntry entry)` Updates the UI with the given entry.
| `installStyles_()` Installs the required CSS styles.
| `onNewRegisteredEntry_(!goog.tweak.BaseEntry entry)` Updates the UI with the given entry.
| `render() ⇒ !Element` Creates the element to display when the UI is visible.
| `restartWithAppliedTweaks_()` Reloads the page with query parameters set by the UI.

Static Method Summary
| `create(?goog.dom.DomHelper= opt_domHelper) ⇒ (Element|null|undefined)` Creates a TweakUi if tweaks are enabled.
| `createCollapsible(?goog.dom.DomHelper= opt_domHelper) ⇒ (Element|null|undefined)` Creates a TweakUi inside of a show/hide link.
| `entryCompare_(?goog.tweak.BaseEntry a, ?goog.tweak.BaseEntry b) ⇒ number` Compares the given entries. Orders alphabetically and groups buttons and expandable groups.
| `extractBooleanGroupEntries_(!goog.tweak.BooleanGroup group) ⇒ !Array` Returns the list of entries from the given boolean group.
| `extractNamespace_(!goog.tweak.BaseEntry entry) ⇒ string`
| `getNamespacedLabel_(!goog.tweak.BaseEntry entry) ⇒ string`
| `isGroupEntry_(!goog.tweak.BaseEntry entry) ⇒ boolean`